Bug 4182 - [UPDATE REQUEST] drakxtools-14.47-10, draklive-install-1.45-8
: [UPDATE REQUEST] drakxtools-14.47-10, draklive-install-1.45-8
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-07-01 14:28 MSD by Konstantin Vlasov
Modified: 2014-07-08 12:45 MSD (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Konstantin Vlasov 2014-07-01 14:28:27 MSD
Numerous fixes and improvements in installer and diskdrake:
1. Support for EFI installation and GPT disks:
  a) The 'Clear all' button now allows to choose from MBR and GPT partition table types:
    i) in Expert mode the dialog is always displayed;
    ii) in Normal mode the dialog is normally not displayed, and the current partition table type is retained (instead of dropping to MBR, as it was earlier);
    iii) if user booted in EFI mode, and the disk is MBR, the dialog is displayed even in Normal mode, suggesting GPT by default.
  b) Improved GPT disks handling:
    i) resizing a partition does not reset its GPT GUID anymore (which caused existing Windows fail to boot);
    ii) added support for booting from GPT disks in legacy BIOS mode (special BIOS Boot Partition is used; also added to auto-allocation);
    iii) removed excessive kernel calls in partitioning (libparted handles them itself).
  c) Added support for installing in EFI mode:
    a) improved support for special EFI partition type in partitioning;
    b) auto-allocation: added creating and/or mounting EFI partition to /boot/efi;
    c) installing bootloader in EFI mode no longer fails;
    d) in EFI mode the dropdown list of bootloader devices contains the list of available EFI partitions;
    e) in BIOS mode the dropdown list of bootloader devices no longer contains GPT disks which do not have GPT BIOS partition;
  d) Added various checks with warnings about possible booting problems related to EFI and GPT.
  e) Numerous fixes in GPT code.
2. Separate swap management
  a) Existing swap partitions are not used by the new ROSA automatically anymore: they may be used by another Linux for hibernating.
  b) Added buttons for explicitly marking swap partition for using or not using (Expert mode).
  c) Swap created during installation is marked as used by default.
3. Various fixes and improvements:
  a) Added support for crypted system partitions (/, /usr, /var).
  b) Disallowed to assign to crypted partitions not only /boot, but also all its subdirs.
  c) Closed workarounds for assigning disallowed crypted mount points (first create a crypted partition, then assign any mount point). Now trying to do so for /boot or subdir displays error message.
  d) Excluded Live root disk from partitioning.
  e) 'Linux native' file system was renamed to 'Linux native (ext2)' for clarity.
  f) Fixed autosuggested hostname which in some cases contained a very long descriptive message.
  g) Some fixes related to 1 MB partition alignment.
  h) Fixed crypted partition buttons width.
  i) Minor improvements for title/text of some progress dialogs.
  j) Removed Help button from diskdrake/installer as outdated.
Comment 1 Konstantin Vlasov 2014-07-01 14:33:20 MSD
drakxtools:
https://abf.rosalinux.ru/build_lists/1962607
https://abf.rosalinux.ru/build_lists/1962608
draklive-install:
https://abf.rosalinux.ru/build_lists/1962630
https://abf.rosalinux.ru/build_lists/1962631

Advisory: Added support EFI systems and GPT disks; improved crypted partitions and swap managing; many other fixes.

Recommended testing with latest grub2 (bug #4180). Test iso image with updated drakxtools, draklive-install, grub2 (x86_64):
http://file-store.rosalinux.ru/download/b16667e0b672c148f65190913d0fa8e4ddeb8ddb
Comment 2 Vladimir Potapov 2014-07-01 15:57:44 MSD
Мне вот очень нужно поставить x32 Фреш на GPT под уже установленный UEFI -загрузчик от X64 (которая успешно работает).
Может, есть i586 образ чтоб с новым загрузчиком и инсталлятором попробовать?
Comment 3 Konstantin Vlasov 2014-07-01 16:54:22 MSD
Сорри, образ самосборный, есть пока только в 64-битном варианте. Попросил Сашу Бурмашева, как сможет - попробует собрать.
В любом случае, ставиться под уже имеющийся загрузчик Роса не умеет, такого просто не предусмотрено. Загрузчик будет заменён, а граб-меню - перегенерировано; первичной системой в меню станет свежеустановленная Роса, а все остальные, обнаруженные на дисках, добавятся ниже.

Кстати, как оказалось, выложенный выше образ - неправильный, я забыл его гибридным сделать (с оптического диска загрузится, а с флэшки - нет). Вот правильный 64-битный:
http://file-store.rosalinux.ru/download/719f403f34c9dc09b7871cc60d769f9b4629957f
Comment 4 Vladimir Potapov 2014-07-01 17:16:28 MSD
Да сейчас просто перегенерируешь меню в 64 разрядной - оно находит 32 разрядную но что-то не срастается и она не грузится.
Comment 5 Konstantin Vlasov 2014-07-01 18:11:24 MSD
Для корректной перегенерации граб-меню в EFI-режиме требуются последние обновления grub2. И перегенерять надо командами из пакета grub2-efi, а не grub2. Но лучше для этого завести отдельный баг и в нём привести более подробную информацию: какая версия граба установлена в 64-битной системе, как выглядит незагружаемость 32-битной Росы, на какой стадии валится и что говорит, содержимое grub2.cfg, и так далее.
Comment 6 Vladimir Potapov 2014-07-03 11:28:21 MSD
Есть регрессия. В моей системе два накопителя - SSD с EFI и GTP и винт с марафонами и старым грабом. 
Предыдущая версия при инсталляции спрашивала, куда загрузчик ставить - на SSD или на винт. Эта - только на SSD. 
Ожидалось, что инсталлятор видя EFI предлагает ставить на EFI, не видя GPT предлагает ставить в старом режиме - без EFI.
Comment 7 Vladimir Potapov 2014-07-03 11:30:03 MSD
Далее - в моей системе уже была ROSA R3 на EFI. Новая версия встала рядом, но новой записи в EFI-меню не появилось, система прописала себя только в граб. 
Это нормально?
Comment 8 Alexander Burmashev 2014-07-03 13:10:59 MSD
Думаю, что дело в том, что предыдущая версия вообще про ЕФИ загрузку и ефи разделы не знала :)
Comment 9 Konstantin Vlasov 2014-07-03 13:26:49 MSD
По поводу выбора дисков:
Если система загружена в EFI-режиме, то инсталлятор предполагает, что она и дальше будет использоваться в этом же режиме. Для загрузки в EFI используется EFI-раздел, соответственно, инсталлятор предлагает выбрать из списка один из имеющихся EFI-разделов, потому что больше в EFI систему никак не поставить. Разумеется, обычно такой раздел только один, но если создать его на втором диске, то он появится в диалоге выбора.
Если же мы загружены в BIOS-режиме, то, опять же, мы не знаем, умеет ли система загружаться в EFI, поэтому предлагается установка в BIOS-стиле. Если диск в GPT, то для загрузки из BIOS грабу требуется особый раздел BIOS GPT Partition. Если его на диске нет, установить граб на этот диск невозможно (о чём инсталлятор должен был предупредить при разбивке), и в списке выводятся только MBR-диски и те GPT-диски, которые включают в себя такой спец-раздел.

По поводу записей в EFI-меню:
При установке нескольких копий Росы на один компьютер запись в EFI создаётся одна на всех, а выбор между ними осуществляется через Grub-меню, которое появляется при выборе пункта rosa в EFI-меню. Вообще, предполагается, что установка Росы делает свой загрузчик основным, и все системы, какие есть на компе, добавляются в Grub-меню. Пользователю тогда нет необходимости использовать EFI-меню (тем более, оно не на всех компах есть), а при загрузке он сразу получает фирменный граб с полным списком всех обнаруженных систем (за исключением специфических пунктов EFI-меню типа восстановления).
Comment 10 Vladimir Potapov 2014-07-03 17:14:12 MSD
Ок, логика понятна.
Comment 11 Vladimir Potapov 2014-07-08 11:54:09 MSD
drakxtools-14.47-10
http://abf-downloads.rosalinux.ru/rosa2012.1/container/1962607/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2012.1/container/1962608/x86_64/main/release/

draklive-install-1.45-8
http://abf-downloads.rosalinux.ru/rosa2012.1/container/1962630/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2012.1/container/1962631/x86_64/main/release/

************************** Advisory **********************
Added support EFI systems and GPT disks; improved crypted partitions and swap managing; many other fixes
*************************************************************
QA Verified